# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes | Friends

# vl::GlobalSettings Class Reference

Global application settings controlling how Visualization Library behaves. More...

`#include <GlobalSettings.hpp>`

Inheritance diagram for vl::GlobalSettings:

List of all members.

## Public Member Functions

| GlobalSettings ()
void | setCheckOpenGLStates (bool check_clean)
| If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.
bool | checkOpenGLStates () const
| If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.
void | setVerbosityLevel (EVerbosityLevel verb_level)
| The verbosity level of VL.
EVerbosityLevel | verbosityLevel () const
| The verbosity level of VL.
const String & | defaultLogPath () const
| The path of the default log file.
const String & | defaultDataPath () const
| The path of the default data directory.

## Protected Attributes

EVerbosityLevel | mVerbosityLevel
bool | mCheckOpenGLStates
String | mDefaultLogPath
String | mDefaultDataPath

## Friends

class | VisualizationLibrary

## Detailed Description

Global application settings controlling how Visualization Library behaves.

Definition at line 41 of file GlobalSettings.hpp.

## Constructor & Destructor Documentation

GlobalSettings::GlobalSettings | ( | ) |

Definition at line 39 of file GlobalSettings.cpp.

References mCheckOpenGLStates, mDefaultDataPath, mDefaultLogPath, mVerbosityLevel, NULL, setCheckOpenGLStates(), setVerbosityLevel(), vl::VEL_VERBOSITY_DEBUG, vl::VEL_VERBOSITY_ERROR, vl::VEL_VERBOSITY_NORMAL, vl::VEL_VERBOSITY_SILENT, and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::GlobalSettings::setCheckOpenGLStates | ( | bool | check_clean ) | `[inline]`

If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.

If the test fails it can mean that either there is a bug in VL or that the user did not restore the OpenGL states to a VL friendly state after modifying them.

Note:
  This can slow down the rendering. Enabled by default in DEBUG mode only.

Definition at line 55 of file GlobalSettings.hpp.

Referenced by GlobalSettings().

bool vl::GlobalSettings::checkOpenGLStates | ( | ) | const`[inline]`

If `true` VL checks at the beginning of each rendering that the OpenGL states are clean and ready to be used by VL.

If the test fails it can mean that either there is a bug in VL or that the user did not restore the OpenGL states to a VL friendly state after modifying them.

Note:
  This can slow down the rendering. Enabled by default in DEBUG mode only.

Definition at line 62 of file GlobalSettings.hpp.

void vl::GlobalSettings::setVerbosityLevel | ( | EVerbosityLevel | verb_level ) | `[inline]`

The verbosity level of VL.

This applies to all the logs generated via vl::Log::*.

Definition at line 65 of file GlobalSettings.hpp.

Referenced by GlobalSettings().

EVerbosityLevel vl::GlobalSettings::verbosityLevel | ( | ) | const`[inline]`

The verbosity level of VL.

This applies to all the logs generated via vl::Log::*.

Definition at line 68 of file GlobalSettings.hpp.

const String& vl::GlobalSettings::defaultLogPath | ( | ) | const`[inline]`

The path of the default log file.

Definition at line 71 of file GlobalSettings.hpp.

const String& vl::GlobalSettings::defaultDataPath | ( | ) | const`[inline]`

The path of the default data directory.

Definition at line 74 of file GlobalSettings.hpp.

## Friends And Related Function Documentation

friend class VisualizationLibrary`[friend]`

Definition at line 43 of file GlobalSettings.hpp.

## Member Data Documentation

EVerbosityLevel vl::GlobalSettings::mVerbosityLevel`[protected]`

Definition at line 77 of file GlobalSettings.hpp.

Referenced by GlobalSettings().

bool vl::GlobalSettings::mCheckOpenGLStates`[protected]`

Definition at line 78 of file GlobalSettings.hpp.

Referenced by GlobalSettings().

String vl::GlobalSettings::mDefaultLogPath`[protected]`

Definition at line 79 of file GlobalSettings.hpp.

Referenced by GlobalSettings().

String vl::GlobalSettings::mDefaultDataPath`[protected]`

Definition at line 80 of file GlobalSettings.hpp.

Referenced by GlobalSettings().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/GlobalSettings.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/GlobalSettings.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:04.
Permission is granted to use this page to write and publish articles regarding Visualization Library.